package cn.quantgroup.xyqb.event;

import cn.quantgroup.xyqb.entity.User;
import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

/**
 * @author ：dongjianhua
 * @date ：Created in 2020/7/14 15:42
 * @description：激活或者注销用户事件
 * @modified By：
 * @version: 1.0
 */
@Getter
@Setter
public class DisableActiveEvent extends ApplicationEvent {
    private User user;
    public DisableActiveEvent(Object source) {
        super(source);
    }
    public DisableActiveEvent(Object source,User user) {
        super(source);
        this.user = user;
    }
}
